﻿using core;
using Microsoft.EntityFrameworkCore;
using System;
using System.Collections.Generic;
using System.Linq;

namespace TemporalTableTest
{
    class Program
    {
        static void Main(string[] args)
        {
            try
            {
                var ctx = new AppDbContext();

                //Create intial data
                var p1 = new Product { Name = "Product 1" };
                p1.Details = new List<ProductDetail>
                {
                    new ProductDetail{ Name = "Detail 1", Value = "Value 1" }
                };
                ctx.Products.Add(p1);
                ctx.SaveChanges();

                //modify data
                //var p1 = ctx.Products.Find(1);
                //p1.Name = "Product 1 modified";
                //var d1 = ctx.ProductDetails.Find(1);
                //d1.Value = "Value 1 modified";
                //ctx.SaveChanges();
                                             
                //retreive historical data
                //var date = DateTime.Parse("2018-08-28 16:30:00");

                //var ps = ctx.Products
                //    .ForSysTime(date)
                //    .AsNoTracking()
                //    .ToList();

                //foreach (var p in ps)
                //{
                //    p.Details = ctx.ProductDetails
                //        .ForSysTime(date)
                //        .AsNoTracking()
                //        .Where(x => x.Product == p)
                //        .ToList();
                //}



            }
            catch (Exception ex)
            {
                Console.WriteLine(ex.ToString());
            }
        }
    }
}
